org.mozilla.javascript.tools.idswitch

## Class IdValuePair

- java.lang.Object
- - org.mozilla.javascript.tools.idswitch.IdValuePair

-     public class IdValuePair
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `id`
    `int` | `idLength`
    `java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdValuePair(java.lang.String id, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLineNumber()`
    `void` | `setLineNumber(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idLength

          public final int idLength

    - #### id

          public final java.lang.String id

    - #### value

          public final java.lang.String value

  - ### Constructor Detail

    - #### IdValuePair

          public IdValuePair(java.lang.String id,
                             java.lang.String value)

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

    - #### setLineNumber

          public void setLineNumber(int value)